Index: bf_svx/source/items/svx_textitem.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/items/svx_textitem.cxx,v
retrieving revision 1.8
retrieving revision 1.8.10.1
diff -u -r1.8 -r1.8.10.1
--- bf_svx/source/items/svx_textitem.cxx	7 Apr 2006 13:27:19 -0000	1.8
+++ bf_svx/source/items/svx_textitem.cxx	27 Apr 2006 10:29:34 -0000	1.8.10.1
@@ -464,7 +464,7 @@
 /*N*/     // #96441# Kach for EditEngine, only set while creating clipboard stream.
 /*N*/     if ( bEnableStoreUnicodeNames )
 /*N*/     {
-/*N*/         ULONG nMagic = STORE_UNICODE_MAGIC_MARKER;
+/*N*/         sal_uInt32 nMagic = STORE_UNICODE_MAGIC_MARKER;
 /*N*/         rStrm << nMagic;
 /*N*/         rStrm.WriteByteString( aStoreFamilyName, RTL_TEXTENCODING_UNICODE );
 /*N*/ 	    rStrm.WriteByteString( GetStyleName(), RTL_TEXTENCODING_UNICODE );
@@ -498,7 +498,7 @@
 /*N*/ 
 /*N*/     // Check if we have stored unicode
 /*N*/     ULONG nStreamPos = rStrm.Tell();
-/*N*/     ULONG nMagic = STORE_UNICODE_MAGIC_MARKER;
+/*N*/     sal_uInt32 nMagic = STORE_UNICODE_MAGIC_MARKER;
 /*N*/     rStrm >> nMagic;
 /*N*/     if ( nMagic == STORE_UNICODE_MAGIC_MARKER )
 /*N*/     {
Index: bf_svx/source/outliner/outleeng.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/outliner/outleeng.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_svx/source/outliner/outleeng.hxx	8 Sep 2005 06:41:59 -0000	1.3
+++ bf_svx/source/outliner/outleeng.hxx	28 Apr 2006 08:58:35 -0000	1.3.72.1
@@ -61,7 +61,7 @@
 	virtual void 		ParagraphDeleted( USHORT nDeletedParagraph );
 	
 	// #101498#
-	virtual void 		DrawingText(const Point& rStartPos, const XubString& rText, USHORT nTextStart, USHORT nTextLen, const long* pDXArray, const SvxFont& rFont, USHORT nPara, USHORT nIndex, BYTE nRightToLeft);
+	virtual void 		DrawingText(const Point& rStartPos, const XubString& rText, USHORT nTextStart, USHORT nTextLen, const sal_Int32* pDXArray, const SvxFont& rFont, USHORT nPara, USHORT nIndex, BYTE nRightToLeft);
 
 //STRIP001 	virtual	void 		StyleSheetChanged( SfxStyleSheet* pStyle );
 	virtual void 		ParaAttribsChanged( USHORT nPara );
Index: bf_svx/source/outliner/svx_outleeng.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/outliner/svx_outleeng.cxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- bf_svx/source/outliner/svx_outleeng.cxx	8 Sep 2005 06:43:13 -0000	1.4
+++ bf_svx/source/outliner/svx_outleeng.cxx	28 Apr 2006 08:58:35 -0000	1.4.72.1
@@ -149,7 +149,7 @@
 /*N*/ }
 
 // #101498#
-/*N*/ void OutlinerEditEng::DrawingText( const Point& rStartPos, const XubString& rText, USHORT nTextStart, USHORT nTextLen, const long* pDXArray, const SvxFont& rFont, USHORT nPara, USHORT nIndex, BYTE nRightToLeft)
+/*N*/ void OutlinerEditEng::DrawingText( const Point& rStartPos, const XubString& rText, USHORT nTextStart, USHORT nTextLen, const sal_Int32* pDXArray, const SvxFont& rFont, USHORT nPara, USHORT nIndex, BYTE nRightToLeft)
 /*N*/ {
 /*N*/ 	if ( nIndex == 0 )
 /*N*/ 	{
Index: bf_svx/source/outliner/svx_outliner.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/outliner/svx_outliner.cxx,v
retrieving revision 1.8
retrieving revision 1.8.70.1
diff -u -r1.8 -r1.8.70.1
--- bf_svx/source/outliner/svx_outliner.cxx	8 Sep 2005 06:43:46 -0000	1.8
+++ bf_svx/source/outliner/svx_outliner.cxx	28 Apr 2006 08:58:36 -0000	1.8.70.1
@@ -2023,7 +2023,7 @@
 /*N*/ }
 
 // #101498#
-/*N*/ void Outliner::DrawingText( const Point& rStartPos, const XubString& rText, USHORT nTextStart, USHORT nTextLen, const long* pDXArray,const SvxFont& rFont, USHORT nPara, USHORT nIndex, BYTE nRightToLeft)
+/*N*/ void Outliner::DrawingText( const Point& rStartPos, const XubString& rText, USHORT nTextStart, USHORT nTextLen, const sal_Int32* pDXArray,const SvxFont& rFont, USHORT nPara, USHORT nIndex, BYTE nRightToLeft)
 /*N*/ {
 /*N*/ 	DBG_CHKTHIS(Outliner,0);
 /*N*/ 	
Index: bf_svx/source/outliner/svx_outlobj.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/outliner/svx_outlobj.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_svx/source/outliner/svx_outlobj.cxx	8 Sep 2005 06:44:14 -0000	1.6
+++ bf_svx/source/outliner/svx_outlobj.cxx	28 Apr 2006 08:58:36 -0000	1.6.72.1
@@ -136,7 +136,7 @@
 /*N*/ void OutlinerParaObject::Store(SvStream& rStream ) const
 /*N*/ {
 /*N*/ 	rStream << nCount;
-/*N*/ 	rStream << (ULONG) 0x42345678;
+/*N*/ 	rStream << (sal_uInt32) 0x42345678;
 /*N*/ 	pText->Store( rStream );
 /*N*/ 
 /*N*/ 	for( USHORT nPos=0; nPos < nCount; nPos++ )
@@ -150,10 +150,10 @@
 /*N*/ 	OutlinerParaObject* pPObj = NULL;
 /*N*/ 	USHORT nVersion = 0;
 /*N*/ 
-/*N*/ 	ULONG nCount;
+/*N*/ 	sal_uInt32 nCount;
 /*N*/ 	rStream >> nCount;
 /*N*/ 
-/*N*/ 	ULONG nSyncRef;
+/*N*/ 	sal_uInt32 nSyncRef;
 /*N*/ 	rStream >> nSyncRef;
 /*N*/ 	if( nSyncRef == 0x12345678 )
 /*N*/ 		nVersion = 1;
@@ -175,7 +175,7 @@
 /*N*/ 			{
 /*N*/ 				EditTextObject* pText = EditTextObject::Create( rStream, NULL );
 /*N*/ 				DBG_ASSERT(pText,"CreateEditTextObject failed")
-/*N*/ 				ULONG nSync = 0;
+/*N*/ 				sal_uInt32 nSync = 0;
 /*N*/ 				rStream >> nSync;
 /*N*/ 				DBG_ASSERT(nSync==nSyncRef,"Stream out of sync")
 /*N*/ 				USHORT nDepth;
@@ -219,7 +219,7 @@
 /*N*/ 				nCurPara++;
 /*N*/ 				if( nCount )
 /*N*/ 				{
-/*N*/ 					ULONG nSync = 0;
+/*N*/ 					sal_uInt32 nSync = 0;
 /*N*/ 					rStream >> nSync;
 /*N*/ 					DBG_ASSERT(nSync==nSyncRef,"Stream out of sync")
 /*N*/ 				}
Index: bf_svx/source/svdraw/svx_svdmodel.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/svdraw/svx_svdmodel.cxx,v
retrieving revision 1.8
retrieving revision 1.8.70.1
diff -u -r1.8 -r1.8.70.1
--- bf_svx/source/svdraw/svx_svdmodel.cxx	8 Sep 2005 06:57:34 -0000	1.8
+++ bf_svx/source/svdraw/svx_svdmodel.cxx	28 Apr 2006 08:58:36 -0000	1.8.70.1
@@ -1684,8 +1684,8 @@
 
 /*N*/ void SdrModel::WriteData(SvStream& rOut) const
 /*N*/ {
-/*N*/ 	const ULONG nOldCompressMode = nStreamCompressMode;
-/*N*/ 	ULONG		nNewCompressMode = nStreamCompressMode;
+/*N*/ 	const sal_uInt32 nOldCompressMode = nStreamCompressMode;
+/*N*/ 	sal_uInt32 nNewCompressMode = nStreamCompressMode;
 /*N*/ 
 /*N*/ 	if( SOFFICE_FILEFORMAT_40 <= rOut.GetVersion() )
 /*N*/ 	{
Index: bf_svx/source/svdraw/svx_svdoattr.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/svdraw/svx_svdoattr.cxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- bf_svx/source/svdraw/svx_svdoattr.cxx	8 Sep 2005 06:58:20 -0000	1.5
+++ bf_svx/source/svdraw/svx_svdoattr.cxx	28 Apr 2006 08:58:37 -0000	1.5.70.1
@@ -1084,11 +1084,11 @@
 /*N*/ 	nSttWdt /= 2;
 /*N*/ 
 /*N*/ 	// Lieber etwas mehr, dafuer keine Wurzel ziehen
-/*N*/ 	long nSttAdd = Max(nSttWdt, nSttHgt);
+/*N*/ 	sal_Int32 nSttAdd = Max(nSttWdt, nSttHgt);
 /*N*/ 	nSttAdd *= 3;
 /*N*/ 	nSttAdd /= 2;
 /*N*/ 
-/*N*/ 	long nEndWdt = ((const XLineEndWidthItem&)(rSet.Get(XATTR_LINEENDWIDTH))).GetValue();
+/*N*/ 	sal_Int32 nEndWdt = ((const XLineEndWidthItem&)(rSet.Get(XATTR_LINEENDWIDTH))).GetValue();
 /*N*/ 
 /*N*/ 	if(nEndWdt < 0)
 /*N*/ 		nEndWdt = -nLineWdt * nEndWdt / 100; // <0 = relativ
Index: bf_svx/source/svdraw/svx_svdopath.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/svdraw/svx_svdopath.cxx,v
retrieving revision 1.5
retrieving revision 1.5.68.1
diff -u -r1.5 -r1.5.68.1
--- bf_svx/source/svdraw/svx_svdopath.cxx	8 Sep 2005 07:01:06 -0000	1.5
+++ bf_svx/source/svdraw/svx_svdopath.cxx	28 Apr 2006 08:58:37 -0000	1.5.68.1
@@ -79,6 +79,8 @@
 // #104018# replace macros above with type-safe methods
 inline sal_Int32 ImplTwipsToMM(sal_Int32 nVal) { return ((nVal * 127 + 36) / 72); }
 inline sal_Int32 ImplMMToTwips(sal_Int32 nVal) { return ((nVal * 72 + 63) / 127); }
+inline sal_Int64 ImplTwipsToMM(sal_Int64 nVal) { return ((nVal * 127 + 36) / 72); }
+inline sal_Int64 ImplMMToTwips(sal_Int64 nVal) { return ((nVal * 72 + 63) / 127); }
 inline double ImplTwipsToMM(double fVal) { return (fVal * (127.0 / 72.0)); }
 inline double ImplMMToTwips(double fVal) { return (fVal * (72.0 / 127.0)); }
 
Index: bf_svx/source/xoutdev/svx__xfont.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/xoutdev/svx__xfont.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_svx/source/xoutdev/svx__xfont.cxx	8 Sep 2005 07:37:56 -0000	1.6
+++ bf_svx/source/xoutdev/svx__xfont.cxx	27 Apr 2006 15:45:25 -0000	1.6.72.1
@@ -187,7 +187,7 @@
 
 // #101498# Helper method ImpGetTextLength to get text length taking into account
 // hor/vertical and BIDI, especially right-to-left.
-/*N*/ sal_Int32 ImpGetTextLength(OutputDevice* pOut, DrawPortionInfo* pInfo, long* pDXArray, 
+/*N*/ sal_Int32 ImpGetTextLength(OutputDevice* pOut, DrawPortionInfo* pInfo, sal_Int32* pDXArray, 
 /*N*/ 	xub_StrLen nIndex, xub_StrLen nLen)
 /*N*/ {
 /*N*/ 	sal_Bool bRightToLeft = pInfo->IsRTL();
@@ -266,7 +266,7 @@
 /*N*/ 	sal_Bool bToLastPoint, sal_Bool bDraw, sal_Bool bIsShadow)
 /*N*/ {
 /*N*/ 	Font aFont = pInfo->rFont;
-/*N*/ 	const long* pDXArray = pInfo->pDXArray;
+/*N*/ 	const sal_Int32* pDXArray = pInfo->pDXArray;
 /*N*/ 	sal_Bool bUseBreakIterator(sal_False);
 /*N*/ 
 /*N*/ 	Reference < ::com::sun::star::i18n::XBreakIterator > xBreak;
@@ -348,7 +348,7 @@
 /*N*/ 		pDXArray = NULL;
 /*N*/ 	}
 /*N*/ 
-/*N*/ 	nTextWidth = ImpGetTextLength(pOut, pInfo, (long*) pDXArray, 0, pInfo->nTextLen);
+/*N*/ 	nTextWidth = ImpGetTextLength(pOut, pInfo, const_cast<sal_Int32*>(pDXArray), 0, pInfo->nTextLen);
 /*N*/ 
 /*N*/ 	if ( eFormTextAdjust != XFT_LEFT && nAbsStart <= 0 )
 /*N*/ 	{
@@ -443,7 +443,7 @@
 /*N*/ 		fLen = sqrt(fDx * fDx + fDy * fDy);
 /*N*/ 		nLen = (long) (fLen + 0.5);
 /*N*/ 
-/*N*/ 		nChar1Len = ImpGetTextLength(pOut, pInfo, (long*) pDXArray, nChar, nGlyphLen);
+/*N*/ 		nChar1Len = ImpGetTextLength(pOut, pInfo, const_cast<sal_Int32*>(pDXArray), nChar, nGlyphLen);
 /*N*/ 
 /*N*/ 		double fXDist, fYDist;
 /*N*/ 		double fCos = fDx;
@@ -498,7 +498,7 @@
 /*N*/ 						CharacterIteratorMode::SKIPCELL, 1, nDone) - (nChar + pInfo->nTextStart + nCnt);
 /*N*/ 				}
 /*N*/ 
-/*N*/ 				nTextLen = ImpGetTextLength(pOut, pInfo, (long*) pDXArray, nChar, nCnt + nNextGlyphLen);
+/*N*/ 				nTextLen = ImpGetTextLength(pOut, pInfo, const_cast<sal_Int32*>(pDXArray), nChar, nCnt + nNextGlyphLen);
 /*N*/ 
 /*N*/ 				nCnt += nNextGlyphLen;
 /*N*/ 			}
@@ -606,7 +606,7 @@
 /*?*/ 					{
 /*?*/ 						long nW;
 /*?*/ 
-/*?*/ 						nW = ImpGetTextLength(pOut, pInfo, (long*) pDXArray, nChar, i);
+/*?*/ 						nW = ImpGetTextLength(pOut, pInfo, const_cast<sal_Int32*>(pDXArray), nChar, i);
 /*?*/ 
 /*?*/ 						aPolyPos.X() += (long) (fDx * nW / fLen);
 /*?*/ 						aPolyPos.Y() += (long) (fDy * nW / fLen);
@@ -657,7 +657,7 @@
 /*?*/ 					{
 /*?*/ 						long nW;
 /*?*/ 
-/*?*/ 						nW = ImpGetTextLength(pOut, pInfo, (long*) pDXArray, nChar + i, nNextGlyphLen);
+/*?*/ 						nW = ImpGetTextLength(pOut, pInfo, const_cast<sal_Int32*>(pDXArray), nChar + i, nNextGlyphLen);
 /*?*/ 
 /*?*/ 						aPolyPos.X() -= nW / 2;
 /*?*/ 
Index: bf_svx/source/xoutdev/svx_xtabdash.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/xoutdev/svx_xtabdash.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_svx/source/xoutdev/svx_xtabdash.cxx	8 Sep 2005 07:42:49 -0000	1.6
+++ bf_svx/source/xoutdev/svx_xtabdash.cxx	27 Apr 2006 15:45:26 -0000	1.6.72.1
@@ -199,10 +199,10 @@
 /*N*/ 		XDash& rDash = pEntry->GetDash();
 /*N*/ 		rOut << (long)rDash.GetDashStyle();
 /*N*/ 		rOut << (long)rDash.GetDots();
-/*N*/ 		rOut << rDash.GetDotLen();
+/*N*/ 		rOut << static_cast<sal_uInt32>(rDash.GetDotLen());
 /*N*/ 		rOut << (long)rDash.GetDashes();
-/*N*/ 		rOut << rDash.GetDashLen();
-/*N*/ 		rOut << rDash.GetDistance();
+/*N*/ 		rOut << static_cast<sal_uInt32>(rDash.GetDashLen());
+/*N*/ 		rOut << static_cast<sal_uInt32>(rDash.GetDistance());
 /*N*/ 		pEntry = (XDashEntry*)aTable.Next();
 /*N*/ 	}
 /*N*/ 
@@ -227,10 +227,10 @@
 /*N*/ 
 /*N*/ 	long		nStyle;
 /*N*/ 	long		nDots;
-/*N*/ 	ULONG		nDotLen;
+/*N*/ 	sal_uInt32	nDotLen;
 /*N*/ 	long		nDashes;
-/*N*/ 	ULONG		nDashLen;
-/*N*/ 	ULONG		nDistance;
+/*N*/ 	sal_uInt32	nDashLen;
+/*N*/ 	sal_uInt32	nDistance;
 /*N*/ 
 /*N*/ 	rIn >> nType;
 /*N*/ 
@@ -546,10 +546,10 @@
 /*N*/ 		XDash& rDash = pEntry->GetDash();
 /*N*/ 		rOut << (long)rDash.GetDashStyle();
 /*N*/ 		rOut << (long)rDash.GetDots();
-/*N*/ 		rOut << rDash.GetDotLen();
+/*N*/ 		rOut << static_cast<sal_uInt32>(rDash.GetDotLen());
 /*N*/ 		rOut << (long)rDash.GetDashes();
-/*N*/ 		rOut << rDash.GetDashLen();
-/*N*/ 		rOut << rDash.GetDistance();
+/*N*/ 		rOut << static_cast<sal_uInt32>(rDash.GetDashLen());
+/*N*/ 		rOut << static_cast<sal_uInt32>(rDash.GetDistance());
 /*N*/ 	}
 /*N*/ 	return rOut;
 /*N*/ }
@@ -618,10 +618,10 @@
 /*N*/ 
 /*N*/ 	long		nStyle;
 /*N*/ 	long		nDots;
-/*N*/ 	ULONG		nDotLen;
+/*N*/ 	sal_uInt32	nDotLen;
 /*N*/ 	long		nDashes;
-/*N*/ 	ULONG		nDashLen;
-/*N*/ 	ULONG		nDistance;
+/*N*/ 	sal_uInt32	nDashLen;
+/*N*/ 	sal_uInt32	nDistance;
 /*N*/ 
 /*N*/ 	rIn >> nCount;
 /*N*/ 
Index: bf_svx/source/xoutdev/svx_xtabgrdt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/xoutdev/svx_xtabgrdt.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_svx/source/xoutdev/svx_xtabgrdt.cxx	8 Sep 2005 07:43:06 -0000	1.6
+++ bf_svx/source/xoutdev/svx_xtabgrdt.cxx	27 Apr 2006 15:45:26 -0000	1.6.72.1
@@ -195,9 +195,9 @@
 /*N*/ 		rOut << rGradient.GetEndColor().GetGreen();
 /*N*/ 		rOut << rGradient.GetEndColor().GetBlue();
 /*N*/ 		rOut << rGradient.GetAngle();
-/*N*/ 		rOut << (ULONG)rGradient.GetBorder();
-/*N*/ 		rOut << (ULONG)rGradient.GetXOffset();
-/*N*/ 		rOut << (ULONG)rGradient.GetYOffset();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetBorder();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetXOffset();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetYOffset();
 /*N*/ 		pEntry = (XGradientEntry*)aTable.Next();
 /*N*/ 	}
 /*N*/ 
@@ -227,9 +227,9 @@
 /*N*/ 	Color	aStart;
 /*N*/ 	Color	aEnd;
 /*N*/ 	long	nAngle;
-/*N*/ 	ULONG	nBorder;
-/*N*/ 	ULONG	nXOfs;
-/*N*/ 	ULONG	nYOfs;
+/*N*/ 	sal_uInt32 nBorder;
+/*N*/ 	sal_uInt32 nXOfs;
+/*N*/ 	sal_uInt32 nYOfs;
 /*N*/ 
 /*N*/ 	rIn >> nType;
 /*N*/ 
@@ -567,11 +567,11 @@
 /*N*/ 		nCol = nCol << 8;
 /*N*/ 		rOut << nCol;
 /*N*/ 		rOut << rGradient.GetAngle();
-/*N*/ 		rOut << (ULONG)rGradient.GetBorder();
-/*N*/ 		rOut << (ULONG)rGradient.GetXOffset();
-/*N*/ 		rOut << (ULONG)rGradient.GetYOffset();
-/*N*/ 		rOut << (ULONG)rGradient.GetStartIntens();
-/*N*/ 		rOut << (ULONG)rGradient.GetEndIntens();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetBorder();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetXOffset();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetYOffset();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetStartIntens();
+/*N*/ 		rOut << (sal_uInt32)rGradient.GetEndIntens();
 /*N*/ 	}
 /*N*/ 
 /*N*/ 	return rOut;
@@ -618,11 +618,11 @@
 /*N*/ 	Color	aStart;
 /*N*/ 	Color	aEnd;
 /*N*/ 	long	nAngle;
-/*N*/ 	ULONG	nBorder;
-/*N*/ 	ULONG	nXOfs;
-/*N*/ 	ULONG	nYOfs;
-/*N*/ 	ULONG	nStartIntens;
-/*N*/ 	ULONG	nEndIntens;
+/*N*/ 	sal_uInt32 nBorder;
+/*N*/ 	sal_uInt32 nXOfs;
+/*N*/ 	sal_uInt32 nYOfs;
+/*N*/ 	sal_uInt32 nStartIntens;
+/*N*/ 	sal_uInt32 nEndIntens;
 /*N*/ 
 /*N*/ 	// Kennung oder Anzahl
 /*N*/ 	rIn >> nCheck;
Index: bf_svx/source/xoutdev/svx_xtablend.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_svx/source/xoutdev/svx_xtablend.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_svx/source/xoutdev/svx_xtablend.cxx	8 Sep 2005 07:43:54 -0000	1.6
+++ bf_svx/source/xoutdev/svx_xtablend.cxx	27 Apr 2006 15:45:26 -0000	1.6.72.1
@@ -273,7 +273,7 @@
 /*N*/ 				rIn.ReadByteString(aName);
 /*N*/ 	
 /*N*/ 				USHORT nPoints;
-/*N*/ 				ULONG  nTemp;
+/*N*/ 				sal_uInt32 nTemp;
 /*N*/ 				Point  aPoint;
 /*N*/ 				rIn >> nTemp; nPoints = (USHORT)nTemp;
 /*N*/ 				XPolygon* pXPoly = new XPolygon(nPoints);
@@ -672,7 +672,7 @@
 /*N*/ 
 /*N*/ 			aName = ConvertName( aName );
 /*N*/ 			USHORT nPoints;
-/*N*/ 			ULONG  nTemp;
+/*N*/ 			sal_uInt32 nTemp;
 /*N*/ 			Point  aPoint;
 /*N*/ 			rIn >> nTemp; nPoints = (USHORT)nTemp;
 /*N*/ 			XPolygon* pXPoly = new XPolygon(nPoints);
Index: bf_sw/source/core/doc/sw_docedt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/doc/sw_docedt.cxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- bf_sw/source/core/doc/sw_docedt.cxx	8 Sep 2005 08:34:56 -0000	1.6
+++ bf_sw/source/core/doc/sw_docedt.cxx	27 Apr 2006 10:41:56 -0000	1.6.70.1
@@ -2241,7 +2241,7 @@
 /*N*/ 
 	/* #i9185# This whould lead to a segmentation fault if not catched
        above. */
-/*N*/ 	sal_uInt32 nNextNd = rEnd.nNode.GetIndex() + 1;
+/*N*/ 	ULONG nNextNd = rEnd.nNode.GetIndex() + 1;
 /*N*/ 	SwTableNode* pTblNd = aNodes[ nNextNd ]->GetTableNode();
 /*N*/ 
 /*N*/ 	if( pTblNd && pNd->IsCntntNode() )
Index: bf_sw/source/core/doc/sw_tblafmt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/doc/sw_tblafmt.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_sw/source/core/doc/sw_tblafmt.cxx	8 Sep 2005 08:45:26 -0000	1.6
+++ bf_sw/source/core/doc/sw_tblafmt.cxx	27 Apr 2006 10:49:47 -0000	1.6.72.1
@@ -749,7 +749,7 @@
 /*?*/			rChg.GetValueFormat( sFmt, eLng, eSys );
 /*?*/			if( sFmt.Len() )
 /*?*/			{
-/*?*/				ULONG nKey = 0;
+/*?*/				sal_uInt32 nKey = 0;
 /*?*/				if ( eLng == LANGUAGE_SYSTEM && eSys != ::binfilter::GetAppLanguage() )
 /*?*/				{
 /*?*/					//	#53381# wenn System beim Speichern etwas anderes war,
Index: bf_sw/source/core/fields/sw_cellfml.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/fields/sw_cellfml.cxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- bf_sw/source/core/fields/sw_cellfml.cxx	8 Sep 2005 09:06:44 -0000	1.5
+++ bf_sw/source/core/fields/sw_cellfml.cxx	27 Apr 2006 14:17:39 -0000	1.5.70.1
@@ -267,7 +267,7 @@
 /*N*/ 
 /*N*/ 			double aNum;
 /*N*/ 			String sTxt( rTxt.Copy( nSttPos ) );
-/*N*/ 			ULONG nFmtIndex = GetFrmFmt()->GetTblBoxNumFmt().GetValue();
+/*N*/ 			sal_uInt32 nFmtIndex = GetFrmFmt()->GetTblBoxNumFmt().GetValue();
 /*N*/ 
 /*N*/ 			SvNumberFormatter* pNumFmtr = pDoc->GetNumberFormatter();
 /*N*/ 
@@ -277,7 +277,7 @@
 /*?*/ 			else if( sTxt.Len() &&
 /*?*/ 					NUMBERFORMAT_PERCENT == pNumFmtr->GetType( nFmtIndex ))
 /*?*/ 			{
-/*?*/ 				ULONG nTmpFmt = 0;
+/*?*/ 				sal_uInt32 nTmpFmt = 0;
 /*?*/ 				if( pNumFmtr->IsNumberFormat( sTxt, nTmpFmt, aNum ) &&
 /*?*/ 					NUMBERFORMAT_NUMBER == pNumFmtr->GetType( nTmpFmt ))
 /*?*/ 					sTxt += '%';
Index: bf_sw/source/core/fields/sw_docufld.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/fields/sw_docufld.cxx,v
retrieving revision 1.8
retrieving revision 1.8.70.1
diff -u -r1.8 -r1.8.70.1
--- bf_sw/source/core/fields/sw_docufld.cxx	8 Sep 2005 09:10:04 -0000	1.8
+++ bf_sw/source/core/fields/sw_docufld.cxx	27 Apr 2006 14:29:08 -0000	1.8.70.1
@@ -446,7 +446,7 @@
 /*N*/ {
 /*N*/ }
 
-/*N*/ String SwAuthorFieldType::Expand(sal_uInt32 nFmt) const
+/*N*/ String SwAuthorFieldType::Expand(ULONG nFmt) const
 /*N*/ {
 /*N*/ 	String sRet;
 /*N*/ 	SvtUserOptions aOpt;
@@ -556,7 +556,7 @@
 /*N*/ 	pDoc = pDocument;
 /*N*/ }
 
-/*M*/ String SwFileNameFieldType::Expand(sal_uInt32 nFmt) const
+/*M*/ String SwFileNameFieldType::Expand(ULONG nFmt) const
 /*M*/ {
 /*M*/ 	String aRet;
 /*M*/ 	const SwDocShell* pDShell = pDoc->GetDocShell();
@@ -741,7 +741,7 @@
 /*N*/ 	pDoc = pDocument;
 /*N*/ }
 
-/*N*/ String SwTemplNameFieldType::Expand(sal_uInt32 nFmt) const
+/*N*/ String SwTemplNameFieldType::Expand(ULONG nFmt) const
 /*N*/ {
 /*N*/ 	ASSERT(nFmt >= FF_BEGIN && nFmt < FF_END, "Expand: kein guelt. Fmt!" );
 /*N*/ 
Index: bf_sw/source/core/fields/sw_fldbas.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/fields/sw_fldbas.cxx,v
retrieving revision 1.8
retrieving revision 1.8.70.1
diff -u -r1.8 -r1.8.70.1
--- bf_sw/source/core/fields/sw_fldbas.cxx	8 Sep 2005 09:11:01 -0000	1.8
+++ bf_sw/source/core/fields/sw_fldbas.cxx	27 Apr 2006 14:43:14 -0000	1.8.70.1
@@ -249,7 +249,7 @@
 					Felder sind n-mal vorhanden, Feldtypen nur einmal
  --------------------------------------------------------------------*/
 
-/*N*/ SwField::SwField(SwFieldType* pTyp, ULONG nFmt, USHORT nLng) :
+/*N*/ SwField::SwField(SwFieldType* pTyp, sal_uInt32 nFmt, USHORT nLng) :
 /*N*/ 	nFormat(nFmt),
 /*N*/     nLang(nLng),
 /*N*/     bIsAutomaticLanguage(TRUE)
@@ -534,7 +534,7 @@
 /*N*/ 	nLang = nLng;
 /*N*/ }
 
-/*N*/ void SwField::ChangeFormat(ULONG n)
+/*N*/ void SwField::ChangeFormat(sal_uInt32 n)
 /*N*/ {
 /*N*/ 	nFormat = n;
 /*N*/ }
@@ -672,7 +672,7 @@
 	Beschreibung: Numerierung expandieren
  --------------------------------------------------------------------*/
 
-/*N*/ String FormatNumber(USHORT nNum, ULONG nFormat)
+/*N*/ String FormatNumber(USHORT nNum, sal_uInt32 nFormat)
 /*N*/ {
 /*N*/     if(SVX_NUM_PAGEDESC == nFormat)
 /*?*/         return  String::CreateFromInt32( nNum );
@@ -707,7 +707,7 @@
  --------------------------------------------------------------------*/
 
 /*N*/ String SwValueFieldType::ExpandValue( const double& rVal,
-/*N*/ 										ULONG nFmt, USHORT nLng) const
+/*N*/ 										sal_uInt32 nFmt, USHORT nLng) const
 /*N*/ {
 /*N*/ 	if (rVal >= DBL_MAX)		// FehlerString fuer Calculator
 /*?*/ 		return ViewShell::GetShellRes()->aCalc_Error;
@@ -728,7 +728,7 @@
 /*?*/ 
 /*?*/ 		if (pEntry && nLng != pEntry->GetLanguage())
 /*?*/ 		{
-/*?*/ 			ULONG nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(nFmt,
+/*?*/ 			sal_uInt32 nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(nFmt,
 /*?*/ 													(LanguageType)nFmtLng);
 /*?*/ 
 /*?*/ 			if (nNewFormat == nFmt)
@@ -793,7 +793,7 @@
 	Beschreibung: CTOR SwValueField
  --------------------------------------------------------------------*/
 
-/*N*/ SwValueField::SwValueField( SwValueFieldType* pFldType, ULONG nFmt,
+/*N*/ SwValueField::SwValueField( SwValueFieldType* pFldType, sal_uInt32 nFmt,
 /*N*/ 							USHORT nLang, const double fVal )
 /*N*/ 	: SwField(pFldType, nFmt, nLang),
 /*N*/ 	fValue(fVal)
@@ -884,7 +884,7 @@
 /*N*/ {
 /*N*/     if( IsAutomaticLanguage() && 
 /*N*/             ((SwValueFieldType *)GetTyp())->UseFormat() &&
-/*N*/ 		GetFormat() != ULONG_MAX )
+/*N*/ 		GetFormat() != SAL_MAX_UINT32 )
 /*N*/ 	{
 /*N*/ 		// wegen Bug #60010
 /*N*/ 		SvNumberFormatter* pFormatter = GetDoc()->GetNumberFormatter();
@@ -899,7 +899,7 @@
 /*N*/ 
 /*N*/ 			if( pEntry && nFmtLng != pEntry->GetLanguage() )
 /*N*/ 			{
-/*N*/ 				ULONG nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(
+/*N*/ 				sal_uInt32 nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(
 /*N*/ 										GetFormat(), (LanguageType)nFmtLng );
 /*N*/ 
 /*N*/ 				if( nNewFormat == GetFormat() )
@@ -940,7 +940,7 @@
 	Beschreibung: SwFormulaField
  --------------------------------------------------------------------*/
 
-/*N*/ SwFormulaField::SwFormulaField( SwValueFieldType* pFldType, ULONG nFmt, const double fVal)
+/*N*/ SwFormulaField::SwFormulaField( SwValueFieldType* pFldType, sal_uInt32 nFmt, const double fVal)
 /*N*/ 	: SwValueField(pFldType, nFmt, LANGUAGE_SYSTEM, fVal)
 /*N*/ {
 /*N*/ }
@@ -968,9 +968,9 @@
 /*N*/ {
 /*N*/ 	sFormula = rStr;
 /*N*/ 
-/*N*/ 	ULONG nFmt(GetFormat());
+/*N*/ 	sal_uInt32 nFmt(GetFormat());
 /*N*/ 
-/*N*/ 	if( nFmt && ULONG_MAX != nFmt )
+/*N*/ 	if( nFmt && SAL_MAX_UINT32 != nFmt )
 /*N*/ 	{
 /*N*/ 		xub_StrLen nPos = 0;
 /*N*/ 		double fValue;
@@ -985,9 +985,9 @@
 
 void SwFormulaField::SetExpandedFormula( const String& rStr )
 {
-    ULONG nFmt(GetFormat());
+    sal_uInt32 nFmt(GetFormat());
 
-    if (nFmt && nFmt != ULONG_MAX && ((SwValueFieldType *)GetTyp())->UseFormat())
+    if (nFmt && nFmt != SAL_MAX_UINT32 && ((SwValueFieldType *)GetTyp())->UseFormat())
     {
         double fValue;
 
@@ -1011,9 +1011,9 @@
 
 String SwFormulaField::GetExpandedFormula() const
 {
-    ULONG nFmt(GetFormat());
+    sal_uInt32 nFmt(GetFormat());
 
-    if (nFmt && nFmt != ULONG_MAX && ((SwValueFieldType *)GetTyp())->UseFormat())
+    if (nFmt && nFmt != SAL_MAX_UINT32 && ((SwValueFieldType *)GetTyp())->UseFormat())
     {
         String sFormattedValue;
         Color* pCol = 0;
Index: bf_sw/source/core/fields/sw_usrfld.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/fields/sw_usrfld.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_sw/source/core/fields/sw_usrfld.cxx	8 Sep 2005 09:14:28 -0000	1.6
+++ bf_sw/source/core/fields/sw_usrfld.cxx	27 Apr 2006 14:43:14 -0000	1.6.72.1
@@ -301,7 +301,7 @@
 
 /*N*/ String SwUserFieldType::GetContent( sal_uInt32 nFmt )
 /*N*/ {
-/*N*/ 	if (nFmt && nFmt != ULONG_MAX)
+/*N*/ 	if (nFmt && nFmt != SAL_MAX_UINT32)
 /*N*/ 	{
 /*?*/ 		String sFormattedValue;
 /*?*/ 		Color* pCol = 0;
@@ -321,7 +321,7 @@
 /*N*/ 	{
 /*N*/ 		aContent = rStr;
 /*N*/ 
-/*N*/ 		if (nFmt && nFmt != ULONG_MAX)
+/*N*/ 		if (nFmt && nFmt != SAL_MAX_UINT32)
 /*N*/ 		{
 /*?*/ 			double fValue;
 /*?*/ 
Index: bf_sw/source/core/inc/drawfont.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/inc/drawfont.hxx,v
retrieving revision 1.4
retrieving revision 1.4.10.1
diff -u -r1.4 -r1.4.10.1
--- bf_sw/source/core/inc/drawfont.hxx	7 Apr 2006 13:29:22 -0000	1.4
+++ bf_sw/source/core/inc/drawfont.hxx	28 Apr 2006 08:58:37 -0000	1.4.10.1
@@ -182,7 +182,7 @@
     USHORT HasKana( xub_StrLen nStart, const xub_StrLen nEnd ) const;
 
     // modifies the kerning array according to a given compress value
-    long Compress( long* pKernArray, xub_StrLen nIdx, xub_StrLen nLen,
+    long Compress( sal_Int32* pKernArray, xub_StrLen nIdx, xub_StrLen nLen,
                    const USHORT nCompress, const USHORT nFontHeight,
                    Point* pPoint = NULL ) const;
 
Index: bf_sw/source/core/layout/sw_flycnt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_flycnt.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sw/source/core/layout/sw_flycnt.cxx	8 Sep 2005 09:47:15 -0000	1.5
+++ bf_sw/source/core/layout/sw_flycnt.cxx	27 Apr 2006 11:47:13 -0000	1.5.72.1
@@ -774,7 +774,7 @@
 /*N*/ 		{
 /*N*/ 			//Jetzt die Entfernung zwischen den beiden Punkten berechnen.
 /*N*/ 			//'Delta' X^2 + 'Delta'Y^2 = 'Entfernung'^2
-/*N*/ 			ULONG dX = Max( pCnt->Frm().Left(), rPt.X() ) -
+/*N*/ 			sal_uInt32 dX = Max( pCnt->Frm().Left(), rPt.X() ) -
 /*N*/ 					   Min( pCnt->Frm().Left(), rPt.X() ),
 /*N*/ 				  dY = Max( pCnt->Frm().Top(), rPt.Y() ) -
 /*N*/ 					   Min( pCnt->Frm().Top(), rPt.Y() );
Index: bf_sw/source/core/layout/sw_frmtool.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_frmtool.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sw/source/core/layout/sw_frmtool.cxx	8 Sep 2005 09:48:44 -0000	1.5
+++ bf_sw/source/core/layout/sw_frmtool.cxx	27 Apr 2006 11:48:17 -0000	1.5.72.1
@@ -2586,7 +2586,7 @@
 /*N*/ 			nOldErg = nErg;
 /*N*/ 		}
 /*N*/ 	}
-/*N*/ 	return nErg >= BigInt((ULONG)ULONG_MAX) ? ULONG_MAX : (ULONG)nErg;
+/*N*/ 	return nErg >= BigInt(SAL_MAX_UINT32) ? ULONG_MAX : (ULONG)nErg;
 /*N*/ }
 
 /*************************************************************************
Index: bf_sw/source/core/layout/sw_laycache.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sw/source/core/layout/sw_laycache.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sw/source/core/layout/sw_laycache.cxx	8 Sep 2005 09:50:11 -0000	1.5
+++ bf_sw/source/core/layout/sw_laycache.cxx	27 Apr 2006 11:51:11 -0000	1.5.72.1
@@ -280,9 +280,9 @@
 /*N*/                             aIo.OpenFlagRec( bFollow ? 0x01 : 0x00,
 /*N*/                                             bFollow ? 8 : 4 );
 /*N*/                             nNdIdx -= nStartOfContent;
-/*N*/                             aIo.GetStream() << nNdIdx;
+/*N*/                             aIo.GetStream() << static_cast<sal_uInt32>(nNdIdx);
 /*N*/                             if( bFollow )
-/*?*/                                 aIo.GetStream() << (ULONG)((SwTxtFrm*)pTmp)->GetOfst();
+/*?*/                                 aIo.GetStream() << static_cast<sal_uInt32>(((SwTxtFrm*)pTmp)->GetOfst());
 /*N*/                             aIo.CloseFlagRec();
 /*N*/                             /*  Close Paragraph Record */
 /*N*/                             aIo.CloseRec( SW_LAYCACHE_IO_REC_PARA );
@@ -321,8 +321,8 @@
 /*N*/                                 aIo.OpenRec( SW_LAYCACHE_IO_REC_TABLE );
 /*N*/                                 aIo.OpenFlagRec( 0, 8 );
 /*N*/                                 nNdIdx -= nStartOfContent;
-/*N*/                                 aIo.GetStream() << nNdIdx
-/*N*/                                                 << nOfst;
+/*N*/                                 aIo.GetStream() << static_cast<sal_uInt32>(nNdIdx)
+/*N*/                                                 << static_cast<sal_uInt32>(nOfst);
 /*N*/                                 aIo.CloseFlagRec();
 /*N*/                                 /* Close Table Record  */
 /*N*/                                 aIo.CloseRec( SW_LAYCACHE_IO_REC_TABLE );
@@ -375,15 +375,15 @@
 /*?*/                             const SwContact *pC = (SwContact*)GetUserCall(pO);
 /*?*/                             if( pC )
 /*?*/                             {
-/*?*/                                 ULONG nOrdNum = pO->GetOrdNum();
+/*?*/                                 sal_uInt32 nOrdNum = pO->GetOrdNum();
 /*?*/                                 USHORT nPageNum = pPage->GetPhyPageNum();
 /*?*/                                 /* Open Fly Record */
 /*?*/                                 aIo.OpenRec( SW_LAYCACHE_IO_REC_FLY );
 /*?*/                                 aIo.OpenFlagRec( 0, 0 );
 /*?*/                                 aIo.CloseFlagRec();
 /*?*/                                 SwRect &rRct = pFly->Frm();
-/*?*/                                 long nX = rRct.Left() - pPage->Frm().Left();
-/*?*/                                 long nY = rRct.Top() - pPage->Frm().Top();
+/*?*/                                 sal_Int32 nX = rRct.Left() - pPage->Frm().Left();
+/*?*/                                 sal_Int32 nY = rRct.Top() - pPage->Frm().Top();
 /*?*/                                 aIo.GetStream() << nPageNum << nOrdNum
 /*?*/                                                 << nX << nY << rRct.Width()
 /*?*/                                                 << rRct.Height();
